Bug 1013024 - logic problem with Manual Partitioning Size Policy Automatic, install partitions too small
logic problem with Manual Partitioning Size Policy Automatic, install partiti...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 11:37 EDT by Chris Murphy
Modified: 2015-06-29 08:28 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:28:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (15.57 KB, text/plain)
2013-09-27 11:38 EDT, Chris Murphy
no flags Details
program.log (13.64 KB, text/plain)
2013-09-27 11:39 EDT, Chris Murphy
no flags Details
storage.log (126.66 KB, text/plain)
2013-09-27 11:40 EDT, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2013-09-27 11:37:35 EDT
Description of problem: The automatic Size Policy logic incorrectly causes a previously sufficiently sized mount point to become too small for a successful installation. Btrfs could be a complicating factor.


Version-Release number of selected component (if applicable):
Fedora-Live-Desktop-x86_64-20-Alpha-4.iso (RC4/final)
yum update *rpm
anaconda-20.20-1.fc20.x86_64.rpm
anaconda-widgets-20.20-1.fc20.x86_64.rpm
python-blivet-0.22-1.fc20.noarch.rpm
btrfs-progs-0.20.rc1.20130917git194aa4a-1.fc20.x86_64.rpm

How reproducible:
Always


Steps to Reproduce:
1. 800GB virtual disk, boot Fedora-Live-Desktop-x86_64-20-Alpha-4.iso and apply updates listed above
2. launch installer
3. main menu, choose installation destination; click done
4. Installation Options: select review/modify (custom); and partition scheme set to btrfs; click continue
6. click to create mount points automatically

[At this point the btrfs volume is 815.61GB.]

7. click on the /boot mount point and change Device Type from Standard Partition to Btrfs; click Update Settings

Actual results:
The Btrfs volume and all of its subvolume/mount points become ~2GB. Too small for a successful installation.

Expected results:
Since the default size policy is automatic, upon the 500MB from /boot being freed, it probably should be added to the Btrfs volume making it ~816.1GB, not 2GB. But I'd still be better off if the logic doesn't bother to recompute, and just leaves the Btrfs volume at 815.61GB.

Additional info:
The work around is to click on a Btrfs mount point, click the Modify button and change the Size Policy from Automatic to As Large As Possible, click Update Settings.
Comment 1 Chris Murphy 2013-09-27 11:38:48 EDT
Created attachment 804037 [details]
anaconda.log
Comment 2 Chris Murphy 2013-09-27 11:39:11 EDT
Created attachment 804039 [details]
program.log
Comment 3 Chris Murphy 2013-09-27 11:40:36 EDT
Created attachment 804041 [details]
storage.log
Comment 4 Fedora End Of Life 2015-05-29 05:27:58 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 08:28:30 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.